import BusX
import SwiftUI

extension MeetupId {
  public struct TV: View {
    @StateObject var textField = BusUI.TextField(K.testTextApp, K.testTextUI)
    
    public init(_ id: String) {
      textField.id = id
    }
    
    public var body: some View {
      TextField("TV", value: $textField.v, formatter: BusUI.TextFieldSource())
        .padding(8)
        .border(Color.blue)
        .animation(.easeInOut(duration: 0.3))
    }
  }
}
